import { Document, Key, Sort } from '../common';
export type TopHitsAggregationOptions<TDocument extends Document> = {
    from?: number;
    includes?: Array<Key<TDocument>>;
    sort?: Array<Sort<TDocument>>;
};
export type TopHitsAggregationBody<TDocument extends Document> = {
    size: number;
    from?: number;
    sort?: Array<Sort<TDocument>>;
    _source?: TopHitsAggregationOptions<TDocument>;
};
export type TopHitsAggregation<TDocument extends Document> = {
    top_hits: TopHitsAggregationBody<TDocument>;
};
export declare const getTopHitsAggregation: <TDocument extends Document>(size?: number, options?: TopHitsAggregationOptions<TDocument> | undefined) => TopHitsAggregation<TDocument>;
